Subject: Re: bug#48307: Feature request: provide default keybindings to change the font size in all windows

From: Clément Pit-Claudel <[email-masked]>
Date: Mon, 10 May 2021 10:53:57 -0400

On 5/10/21 10:26 AM, Eli Zaretskii wrote:
>> Date: Mon, 10 May 2021 14:17:55 +0000
>> From: Gregory Heytings <[email-masked]>
>> Cc: Clément Pit-Claudel <[email-masked]>,
>>  [email-masked]
>>
>> +        (let ((frame-inhibit-implied-resize t))
>> +          (set-face-attribute 'default nil :height
>> +                              (+ (face-attribute 'default :height) inc)))
> 
> Why does it make sense to inhibit frame resizing in this case?  I
> think it will make an ugly display: mode-line text will spill over,
> lines will become wrapped, etc.

I think preventing frame resizing is the right move, at least in the context that I had in mind (screen sharing): if you scale the frame and the font at once, then nothing changes on the recipient's screen (since the videoconferencing software scales the frame to a constant size).

(Besides, that's what menu-set-font does; and it's easy to resize the frame after scaling the font, no?)